package myPlant

import (
	"context"
	"github.com/zeromicro/go-zero/core/logx"
	"sundynix-micro-go/app/plant/api/internal/svc"
	"sundynix-micro-go/app/plant/api/internal/types"
	"sundynix-micro-go/app/plant/rpc/plant"
)

type UpdatePlantLogic struct {
	logx.Logger
	ctx    context.Context
	svcCtx *svc.ServiceContext
}

func NewUpdatePlantLogic(ctx context.Context, svcCtx *svc.ServiceContext) *UpdatePlantLogic {
	return &UpdatePlantLogic{Logger: logx.WithContext(ctx), ctx: ctx, svcCtx: svcCtx}
}

func (l *UpdatePlantLogic) UpdatePlant(req *types.UpdatePlantReq) error {
	_, err := l.svcCtx.PlantRpc.UpdatePlant(l.ctx, &plant.UpdatePlantReq{
		Id: req.Id, Name: req.Name, Status: int32(req.Status), Placement: req.Placement,
		PotMaterial: req.PotMaterial, PotSize: req.PotSize, Sunlight: req.Sunlight,
		PlantingMaterial: req.PlantingMaterial, ImgIds: req.ImgIds,
	})
	return err
}
